org.apache.lucene.queryParser.standard.config

## Class FieldDateResolutionMapAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.queryParser.standard.config.FieldDateResolutionMapAttributeImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, FieldDateResolutionMapAttribute, org.apache.lucene.util.Attribute

      public class FieldDateResolutionMapAttributeImpl
      extends org.apache.lucene.util.AttributeImpl
      implements FieldDateResolutionMapAttribute

  This attribute enables the user to define a default DateResolution per field. it's used by `FieldDateResolutionFCListener.buildFieldConfig(org.apache.lucene.queryParser.core.config.FieldConfig)`
  See Also:
    `FieldDateResolutionMapAttribute`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldDateResolutionMapAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `copyTo(org.apache.lucene.util.AttributeImpl target)`
    `boolean` | `equals(java.lang.Object other)`
    `java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution>` | `getFieldDateResolutionMap()`
    `int` | `hashCode()`
    `void` | `setFieldDateResolutionMap(java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution> dateRes)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldDateResolutionMapAttributeImpl

          public FieldDateResolutionMapAttributeImpl()

  - ### Method Detail

    - #### setFieldDateResolutionMap

          public void setFieldDateResolutionMap(java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution> dateRes)

      Specified by:
        `setFieldDateResolutionMap` in interface `FieldDateResolutionMapAttribute`
      Parameters:
        `dateRes` - a mapping from field name to its default boost

    - #### getFieldDateResolutionMap

          public java.util.Map<java.lang.CharSequence,org.apache.lucene.document.DateTools.Resolution> getFieldDateResolutionMap()

      Specified by:
        `getFieldDateResolutionMap` in interface `FieldDateResolutionMapAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `org.apache.lucene.util.AttributeImpl`

    - #### copyTo

          public void copyTo(org.apache.lucene.util.AttributeImpl target)

      Specified by:
        `copyTo` in class `org.apache.lucene.util.AttributeImpl`

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in class `org.apache.lucene.util.AttributeImpl`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `org.apache.lucene.util.AttributeImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.